---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/migrate/upgrades/sql/Pweb/upgrade_trigger.sql BL_core_schema_8.0.7_8.0.7.2.02_20091208  043145
-- (#) 
--
 
PROMPT START PWEB upgrade_trigger.sql

BEGIN

run_sql ('CREATE OR REPLACE TRIGGER af_datasource_access_trigger '
|| ' AFTER INSERT OR UPDATE OR DELETE '
|| ' ON af_datasource_access '
|| ' BEGIN '
|| ' data_change.send( '
|| '         ORIGIN => ''AF_MODULE_CONFIG'', '
|| '         EVENT_ID => NULL, '
|| '         EVENT_TIME => SYSDATE, '
|| '         EVENT_TYPE_ID => NULL, '
|| '         HANDLED_TSTAMP => NULL, '
|| '         INSTANCE_ID => NULL, '
|| '         ENTITY_ID => NULL, '
|| '         FILE_TYPE_ID => NULL, ' 
|| '         PROCESS_OUTPUT_ID => NULL, '
|| '         TABLE_ID => NULL, '
|| '         DATA_START => NULL, '
|| '         DATA_END => NULL, '
|| '         KEY_START => NULL, '
|| '         KEY_END => NULL, '
|| '         INSTANCE_START => NULL, '
|| '         INSTANCE_END => NULL '
|| '     );  '
|| ' END af_datasource_access_trigger  ; ' );

run_sql(' CREATE OR REPLACE TRIGGER pe_mv_field_map_dsft_tr '
     || ' AFTER INSERT OR UPDATE OR DELETE ON pe_mv_field_map '
     || ' DECLARE '
     || ' BEGIN '
     || '   DELETE FROM pe_datasource_filetype; '
     || ' END ; ');


run_sql(' CREATE OR REPLACE TRIGGER pe_module_instance_dsft_tr '
     || '   AFTER INSERT OR UPDATE OR DELETE ON pe_module_instance '
     || ' DECLARE '
     || ' BEGIN '
     || '   DELETE FROM pe_datasource_filetype; '
     || ' END ; ');

END;
/

PROMPT END PWEB upgrade_trigger.sql DONE
