CREATE OR REPLACE TYPE summ_session_id_rowtype wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
d
9200000
1
4
0 
5
2 :e:
1TYPE:
1SUMM_SESSION_ID_ROWTYPE:
1OBJECT:
1JOB_ID:
1INTEGER:
0

0
0
12
2
0 a0 9d a0 60 a3 a0 1c
b0 81 77 a0 102 a0 c6 1d
17 b5 
12
2
0 3 3b b f 2f 23 27
22 36 7 42 1f 46 4a 4c
4d 56 
12
2
0 1 6 21 1 29 :2 30 :2 29
1 :2 39 :5 1 
12
4
0 :11 1 
58
4
:3 0 1 :3 0 2
0 4 0 3
:3 0 5 :3 0 c
1 a :9 0 b
:2 0 3 5 :3 0
6 :7 0 4 :6 0
8 7 0 4
0 2 4 2
1 :3 0 2 :3 0
2 :2 0 2 d
a 0 f e
11 :8 0 
7
4
:3 0 1 5 1
9 
1
4
0 
10
0
1
14
1
2
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
2 0 1
5 1 0
0

/
CREATE OR REPLACE TYPE summ_session_id_tabletype AS TABLE OF summ_session_id_rowtype;
/
CREATE TABLE summ_task (
        job_id               INTEGER NOT NULL,
        task_id              INTEGER NOT NULL,
        status_code          INTEGER NOT NULL,
        task_date            DATE NOT NULL,
        id                   INTEGER NOT NULL,
        name                 VARCHAR2(128) NOT NULL,
        cluster_entity_id    INTEGER NOT NULL,
        firstneeded          DATE NOT NULL,
        span                 CHAR(1) NOT NULL,
        firstavail           DATE,
        lastavail            DATE,
        table_id             INTEGER NOT NULL,
        ret_rows             INTEGER NOT NULL,
        table_name           VARCHAR2(30) NOT NULL,
        tablespace_name      VARCHAR2(30) NOT NULL,
        start_date           DATE NOT NULL,
        end_date             DATE NOT NULL,
CONSTRAINT pk_summ_task 
   PRIMARY KEY (job_id, task_id),
CONSTRAINT fk_summ_task_task 
   FOREIGN KEY (job_id, task_id) 
   REFERENCES active_task(job_id, task_id) ON DELETE CASCADE
)
INITRANS 32
tablespace wm_flexpm;
CREATE INDEX summ_task_status_code_idx 
     on summ_task( job_id, task_id, status_code ) 
     INITRANS 32 
     TABLESPACE wm_flexpm;
CREATE GLOBAL TEMPORARY TABLE summ_dates_tmp (
   start_date DATE NOT NULL,
   end_date   DATE NOT NULL,
   CONSTRAINT pk_summ_dates_tmp PRIMARY KEY (start_date, end_date)
) ON COMMIT PRESERVE ROWS;
CREATE GLOBAL TEMPORARY TABLE summ_entity_tables_tmp (
   table_id        INTEGER,
   table_name      VARCHAR2(30),
   tablespace_name VARCHAR2(30),
   CONSTRAINT pk_summ_ent_tab_tmp PRIMARY KEY (table_id)
) ON COMMIT PRESERVE ROWS;
CREATE TABLE summ_sql (
   job_id     INTEGER NOT NULL,
   table_id   INTEGER NOT NULL,
   sqlstr     CLOB,
   daily_sqlStr CLOB,
   wm_sqlStr  CLOB,
   wmp_sqlStr CLOB,
   CONSTRAINT pk_summ_sql_tmp PRIMARY KEY ( job_id, table_id ),
   CONSTRAINT fk_summ_sql_job FOREIGN KEY ( job_id ) 
      REFERENCES active_job( job_id ) ON DELETE CASCADE
) TABLESPACE WM_FLEXPM;
