#!/bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./base/install/core_inst.sh BL_core_schema_8.0.7_8.0.7.2.02_20091208  043145
# (#) 
#
machine=`/bin/hostname`
account=`/bin/id  | tr '(=)' '   ' | awk '{ print $3 }'`
product=`/bin/ksh -pc "echo ~$account`  ;# aka FLEXPM_USER
install=`/bin/pwd`

cd $FLEXPM_HOME

export ORACLE_VERS=`basename ${ORACLE_HOME}`

chmod 755 sw/oracle/preset_oracle_paths

sw/oracle/preset_oracle_paths -f

# save the vendor so .profile is fixed

export save_vendor=$vendor
export save_product=$wm_product

. ./.profile

export vendor=$save_vendor
export wm_product=$save_product

chmod 700 pm/adm/crypt_util.ksh
pm/adm/crypt_util.ksh -p ${DBUSER} ${DBPASSWD}

chmod 755 pm/adm/setup-runable

pm/adm/setup-runable -config

pm/adm/setup-runable -schema
